 <?php
date_default_timezone_set('America/Lima');
session_start();
$y=date('Y');
$m=date('m');
$d=date('d');
$fec1="$d-$m-$y";
$fec2="$d-$m-$y";
require_once("../formatos/formato.php");
?>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
    		<div class="row">
			
			
			
			<form name="for_fil_pro" id="for_fil_pro" method="POST" >							
				
				
						<div class="row">
						
						<div class=" col-lg-4 col-xs-12 form-group">
							<label>Desde:</label>
							<div class="input-group">
								<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_com_fec1" type="text" id="txt_com_fec1" value="<?php echo $fec1?>" class="form-control" >
							</div>
						</div>
						
						<div class=" col-lg-4 col-xs-12 form-group">
							<label>Hasta:</label>
							<div class="input-group">
								<div class="input-group-prepend">
								<span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
							</div>
							<input name="txt_com_fec2" type="text" id="txt_com_fec2" value="<?php echo $fec2?>" class="form-control" >
							</div>
						</div>
						
				
						<div style="display: inline-block; white-space: nowrap;padding-top:30px;" class="col-lg-2 col-sm-3 col-xs-6">		
								<span style="cursor:pointer" onClick="ventaconsolidadasfecha_cst_tabla()" id="btn_filtrar" class="btn btn-primary"><i class="fas fa-search"></i></span>
								<span style="cursor:pointer" onClick="ventaconsolidadasfecha_cst_filtro()" id="btn_resfil"  class="btn btn-default ">Restablecer</span>
						</div> 
							
						
						</div>
						
						
				
				<div class="col-lg-6 col-xs-12" >			
				
				<table>
					
				<tr id="tr_ordcom">				
				<td nowrap colspan="2" >
				<div class="col-lg-12 col-xs-12">
				<label class="" >AGRUPAR </label>
				</div>
				</td>
				</tr>
				
				<tr id="tr_ordcom">				
				<td nowrap >	
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agrufec" >
							<label for="chk_agrufec">POR FECHA </label>
				</div>
				</td>
								
				<td nowrap >
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agruemp" >
							<label for="chk_agruemp">POR EMPRESA </label>
				</div>
				</td>
				
				<td nowrap >
				<div class="icheck-primary" >
							<input type="checkbox" id="chk_agrucli" >
							<label for="chk_agrucli">POR CLIENTE </label>
				</div>
				
				</td>
				</tr>
				
				</table>
			</div>	
						
							
							
						</form>
					
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</section>
<script type="text/javascript">
var ordfec='c.tb_compra_fec';
var ordemp='';
var ordpro='';
var agrufec='1';
var agruemp='';
var agrucli='';
function ventaconsolidadasfecha_cst_tabla()
{
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../ventaconsolidadasfecha_cst/ventaconsolidadasfecha_cst_tabla.php",
				async:true,
				dataType: "html",                      
				data: ({
					fec1 :$("#txt_com_fec1").val(),
					fec2 :$("#txt_com_fec2").val(),
					agrufec :agrufec,
					agruemp :agruemp,
					agrucli :agrucli
				}), 
				beforeSend: function() {
						var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
						$('.div_mensaje').html(divmen);
					$('#div_venta_tabla').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_venta_tabla').html(html);
				},
				complete: function(){			
					$('#div_venta_tabla').removeClass("ui-state-disabled");
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}
	 
		$('#txt_let_fec1,#txt_let_fec2,#txt_com_fec1,#txt_com_fec2').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true
		}).on('changeDate', function(e){
			//compra_tabla();
		}); 
		
/* $('#chk_ordfec').on('ifChecked', function(event){
	ordfec='c.tb_compra_fec';
});
$('#chk_ordfec').on('ifUnchecked', function(event){
	ordfec='';
}); */
$('#chk_ordfec').change(function(){
	if($('#chk_ordfec').is(':checked'))
	{
		
		
	}else{
		
	}
});
/* 
$('#chk_ordemp').on('ifChecked', function(event){
	ordemp='c.tb_empresa_id';
});
$('#chk_ordemp').on('ifUnchecked', function(event){
	ordemp='';
});
 */
$('#chk_ordemp').change(function(){
	if($('#chk_ordemp').is(':checked'))
	{
		
		
	}else{
		
	}
});
/* 
$('#chk_ordpro').on('ifChecked', function(event){
	ordpro='c.tb_proveedor_id';
});
$('#chk_ordpro').on('ifUnchecked', function(event){
	ordpro='';
});
 */
$('#chk_ordpro').change(function(){
	if($('#chk_ordpro').is(':checked'))
	{
		ordpro='c.tb_proveedor_id';
		
	}else{
		ordpro='';
	}
});
/* 
$('#chk_agrufec').on('ifChecked', function(event){
	$('#chk_agruemp').iCheck('uncheck');
	$('#chk_agrucli').iCheck('uncheck');
	agrufec='1';
});
$('#chk_agrufec').on('ifUnchecked', function(event){
	agrufec='';
});
 */
$('#chk_agrufec').change(function(){
	if($('#chk_agrufec').is(':checked'))
	{
		$('#chk_agruemp').iCheck('uncheck');
		$('#chk_agrucli').iCheck('uncheck');
		agrufec='1';
		agruemp = '';
		agrucli='';
	}else{
		agrufec='';
	}
});
/* 
$('#chk_agruemp').on('ifChecked', function(event){
	$('#chk_agrufec').iCheck('uncheck');
	$('#chk_agrucli').iCheck('uncheck');
	agruemp='1';
});
$('#chk_agruemp').on('ifUnchecked', function(event){
	agruemp='';
}); */
$('#chk_agruemp').change(function(){
	if($('#chk_agruemp').is(':checked'))
	{
		$('#chk_agrufec').iCheck('uncheck');
		$('#chk_agrucli').iCheck('uncheck');
		agruemp='1';
		agrufec='';
		agrucli='';
	}else{
		agruemp='';
	}
});
/* $('#chk_agrucli').on('ifChecked', function(event){
	$('#chk_agrufec').iCheck('uncheck');
	$('#chk_agruemp').iCheck('uncheck');
	agrupro='1';
});
$('#chk_agrucli').on('ifUnchecked', function(event){
	agrupro='';
}); */
$('#chk_agrucli').change(function(){
	if($('#chk_agrucli').is(':checked'))
	{
		$('#chk_agrufec').iCheck('uncheck');
		$('#chk_agruemp').iCheck('uncheck');
		agrufec='';
		agruemp = '';
		agrucli='1';
		
	}else{
		agrucli='';
	}
});
</script>   